package com.flossom.common.core.domain.req;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalTime;

/**
 * 用户护理日志对象 wx_nursing_log
 *
 * @author flossom
 * @date 2024-01-29
 */
public class WxNursingLogReq {

    /**
     * 仪器id
     */
    @NotNull(message = "请选择仪器")
    private Long instrumentId;

    /**
     * 仪器名称
     */
    @NotNull(message = "请选择仪器")
    private String instrumentName;

    /**
     * 模式ID
     */
    @NotNull(message = "请选择护理模式")
    private Long modeId;

    /**
     * 模式名称
     */
    @NotBlank(message = "请选择护理模式")
    private String modeName;

    /**
     * 护理总时长
     */
    @NotNull(message = "护理时长不能为空")
    private LocalTime nursingTime;

    /**
     * 完成度
     */
    private Double completionPercentage;


    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setModeId(Long modeId) {
        this.modeId = modeId;
    }

    public Long getModeId() {
        return modeId;
    }

    public void setModeName(String modeName) {
        this.modeName = modeName;
    }

    public String getModeName() {
        return modeName;
    }

    public void setNursingTime(LocalTime nursingTime) {
        this.nursingTime = nursingTime;
    }

    public LocalTime getNursingTime() {
        return nursingTime;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public Double getCompletionPercentage() {
        return completionPercentage;
    }

    public void setCompletionPercentage(Double completionPercentage) {
        this.completionPercentage = completionPercentage;
    }
}
